Bug 233772

Summary: cad/z88: Update to v15
Product: Ports & Packages Reporter: kunda <chitty_cloud>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me CC: ndowens, phascolarctos, pi
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
z88 update to 15 patch phascolarctos: maintainer-approval+

Description kunda 2018-12-04 11:52:26 UTC
z88os v15 released 17.07.2017 https://forum.z88.de/viewtopic.php?f=18&t=885
Comment 1 Lorenzo Salvadore 2018-12-05 10:30:40 UTC
I will try to update the port.
Comment 2 Lorenzo Salvadore 2018-12-06 23:19:00 UTC
Created attachment 199912 [details]
z88 update to 15 patch

Here is the patch for z88. I did not find a changelog for the software.

Here is a summary of the changes made to the port.

- Changes PORTVERSION to DISTVERSION. I have checked that PORTVERSION keeps increasing.
- Sets myself as MAINTAINER.
- Uses USE_GITHUB instead of MASTER_SITES (I find it easier to maintain).
- Sets LICENSE.
- Sets appropriate dependencies, USES, USE_X.
- Adds an EXAMPLES option.
- Adds a pkg-message to explain how the port must be used, as it is not self-evident (The software assumes all files in the same directory instead of distributed into bin/, ${DATADIR} etc so I had to find a work around: the solution is easy for the user).

Portlint remarks that some of my patches contains ^M characters and suggests the use of USE+=dos2unix. I refrained to do that because this concerns only some files in the working directory while installed files should be clean, so I thought it was better to keep the port simple.

Tested successfully with poudriere (11.2-RELEASE-p6 i386/amd64).
Comment 3 kunda 2018-12-14 13:17:06 UTC
(In reply to Lorenzo Salvadore from comment #2)
That was fast! Thank you Lorenzo!
Comment 4 Lorenzo Salvadore 2018-12-17 09:56:27 UTC
You're welcome.

Now tested successfully with poudriere on 12.0-RELEASE i386/amd64 too.
Comment 5 kunda 2018-12-22 11:45:41 UTC
(In reply to Lorenzo Salvadore from comment #4)
Fantastic!
Comment 6 kunda 2018-12-31 11:48:14 UTC
Will this patch be merged ?
Comment 7 Kurt Jaeger freebsd_committer 2018-12-31 13:09:41 UTC
testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2018-12-31 13:34:26 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2018-12-31 13:34:26 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 31 13:33:58 UTC 2018
New revision: 488785
URL: https://svnweb.freebsd.org/changeset/ports/488785

Log:
  cad/z88: update 13.0 -> 15

  - Changes PORTVERSION to DISTVERSION
  - Sets submitter as MAINTAINER.
  - Uses USE_GITHUB instead of MASTER_SITES
  - Sets LICENSE
  - Sets appropriate dependencies, USES, USE_X
  - Adds an EXAMPLES option
  - Adds a pkg-message to explain how the port must be used, as it
    is not self-evident (The software assumes all files in the same
    directory instead of distributed into bin/, ${DATADIR} etc so I had
    to find a work around: the solution is easy for the user).

  PR:		233772
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>
  Reviewed by:	chitty_cloud@me.com
  Relnotes:	https://forum.z88.de/viewtopic.php?f=18&t=885

Changes:
  head/cad/z88/Makefile
  head/cad/z88/distinfo
  head/cad/z88/files/patch-bin_unix64_z88.fcd
  head/cad/z88/files/patch-cb88o.c
  head/cad/z88/files/patch-ccos
  head/cad/z88/files/patch-dyn88v.c
  head/cad/z88/files/patch-make_make__unix__64_z88com.mk.gcc64
  head/cad/z88/files/patch-make_make__unix__64_z88g.mk.gcc64
  head/cad/z88/files/patch-make_make__unix__64_z88n.mk.gcc64
  head/cad/z88/files/patch-make_make__unix__64_z88o.mk.gcc64
  head/cad/z88/files/patch-make_make__unix__64_z88r.mk.gcc64
  head/cad/z88/files/patch-make_make__unix__64_z88x.mk.gcc64
  head/cad/z88/files/patch-src_z88o_unix_cb88o.c
  head/cad/z88/files/patch-z88.fcd
  head/cad/z88/files/patch-z88.mk.gtk.gcc32
  head/cad/z88/files/patch-z88.mk.kernel.gcc32
  head/cad/z88/files/patch-z88.mk.other.gcc32
  head/cad/z88/files/z88
  head/cad/z88/files/z88.sh
  head/cad/z88/pkg-message
  head/cad/z88/pkg-plist